libretools - Bug #758

Parabola-hackers SSH issue
2015-07-16 12:20 AM - g4jc

Status: not-a-bug % Done: 0%
Priority: bug

Assignee: lukeshu

Category:

Description

Hello,

| have been unable to login to ssh. When | try to use SSH | get: Permission denied (public key)
Here you can see my public key: http://termbin.com/i2pw

And here is the output | am seeing:
http://termbin.com/4unl

The problem would appear to be the key is not being fully parsed from the .yml file by Ruby.
https://projects.parabola.nu/hackers.git/plain/bin/ssh-list-authorized-keys

However | have no idea how the Ruby language works.

Hence | am opening this support ticket in hopes of eventually being able to help with Parabola packaging. :)

History

#1 - 2015-07-18 12:21 PM - alfplayer

| created a test user using a new RSA key pair and a mostly default configuration, and it worked.

#2 - 2015-07-20 11:37 PM - alfplayer

- Status changed from open to not-a-bug

The username wasn't "repo" (wrong client configuration).
